<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.mapper.CyryMapper">
    <!-- 通用查询映射结果 -->
    <resultMap id="blogResultMap" type="org.springblade.modules.entity.CyryEntity">
        <result column="id" property="id"/>
    </resultMap>

    <update id="updatezxById">
        update jdrh.ybss_cyry set zxyy = #{zxyy}, sjgxbs = '2', is_deleted = 1, update_user = #{updateUser}, update_time = now() where id = #{id}
    </update>

    <select id="selectCyryByXydm" resultType="org.springblade.modules.entity.CyryEntity">
        select * from jdrh.ybss_cyry where is_deleted = 0 and tyshxydm = #{tyshxydm}
    </select>

    <select id="selectCyryBySfzh" resultType="org.springblade.modules.entity.CyryEntity">
        select * from jdrh.ybss_cyry where is_deleted = 0 and gmsfhm = #{gmsfhm}
    </select>

    <select id="getFwxzByRkDzxx" resultType="java.lang.String">
        select xz from sspt.rk_dzxx where dzbm = #{dzbm} limit 1
    </select>
</mapper>
